/* ------------------------------------------------------
	typist.h
---------------------------------------------------------
	Original: D. Jason Penney (penneyj@slc.com)
	Tuned for ECIP NeXT: Takeshi Ogihara
		(ogihara@rd.ecip.osaka-u.ac.jp)
	Ver.1.0   1992-07-14
	Ver.1.1   1992-08-05	ESC  ->  Ctrl-F
	Ver.1.2   1994-11-10	for non-NeXT WS
------------------------------------------------------ */

#if defined(sony_news)
extern int errno;
#endif

#define   STR_SIZE	1024
typedef char StrType[STR_SIZE + 1];
typedef unsigned char BoolType;

#if !defined(FALSE)
# define  FALSE		0
#endif
#if !defined(TRUE)
# define  TRUE		1
#endif

#if !defined(NULL)
# define  NULL		0
#endif

#ifndef LESSONDIR
# define  LESSONDIR	"/usr/local/lib/typist"
#endif

#define   TYPISTRC	".typistrc"
#define   CLICKSND	"click.snd"
#define   FINISHED	0x1000

struct Lesson {
    char nam;
    short num, fin;
    char *item;
};

extern void sndbeep(), sndbeep_init();
extern void typist();
extern BoolType loud;
extern BoolType HasHelp;
extern struct Lesson typeLessons[];
extern char *LessonDir;
extern char LastLesson;
extern short LastNum;
extern BoolType GetIndex();
extern BoolType CheckLessonName();
extern void read_rc(), write_rc();
